## ros-melodic-hector-components-description 0.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(hector_components_description)

find_package(catkin REQUIRED)

catkin_package(
    DEPENDS
    CATKIN_DEPENDS
    INCLUDE_DIRS
    LIBRARIES
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

install(DIRECTORY meshes urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-hector-components-description (0.5.0-0stretch) stretch; urgency=high

  * Update raycast self filter config for head
  * Increase realsense self filter collision size
  * Add cylinder geoms for raycast self filtering
  * Add macro for being able to set realsense params in more detail
  * Update vlp16 mount macro
  * Merge branch 'update_transmissions' into kinetic-devel
    Fix xmlns for all xacro files
  * Update to transmissions, prepending "hardware_interface/"
  * Make tracker sensor head macro independent of vision box properties
  * Add plugin for using spinning sensors with gazebo
  * Add additional macros of components
  * Fix xacro tag
  * Merge commit '57d7a25756af77265cfd73298fa5d32' into indigo-devel
  * added makro that allows you to define a calibration transformation
  * Contributors: Martin Oehler, Stefan Kohlbrecher

 -- Stefan Kohlbrecher <kohlbrecher@sim.tu-darmstadt.de>  Thu, 28 Jun 2018 22:00:00 -0000

ros-melodic-hector-components-description (0.4.2-0stretch) stretch; urgency=high

  * fixed for checkerboard
  * Add checkerboard with associated macro.
  * Added calibration and fixed an origin bug at the spinnning joint of the lidar
  * Added realistic inertias and masses. Moved RGB-D Cam according to reality
  * Contributors: Marius Schnaubelt, Martin Oehler, Stefan Kohlbrecher

 -- Stefan Kohlbrecher <kohlbrecher@sim.tu-darmstadt.de>  Thu, 23 Jun 2016 22:00:00 -0000

ros-melodic-hector-components-description (0.4.1-0stretch) stretch; urgency=high

  * hector_components_description/hector_sensors_description: added xacro namespace prefix to macro calls
  * Cleaned up root element xmlns arguments according to http://gazebosim.org/tutorials?tut=ros_urdf#HeaderofaURDFFile
  * Added missing xacro namespace prefix to XML tags
  * Contributors: Johannes Meyer

 -- Stefan Kohlbrecher <kohlbrecher@sim.tu-darmstadt.de>  Sat, 07 Nov 2015 23:00:00 -0000

ros-melodic-hector-components-description (0.4.0-0stretch) stretch; urgency=high

  * Renamed LIDAR and RGBD cam for thor compatibility
  * Remove gazebo tags for links without visuals
  * First version of the new head, the hector multisensor head
  * Add addons xacro files
  * Update how spinning hokuyo is set up
  * Update spinning lidar mount properties
  * Fix stupid mixup of min and max lidar angle
  * Reduce spinning lidar mount mass
  * Fix parent not used correctly in spinning lidar mount
  * Update rotating hokuyo transform
  * Refactor spinning lidar mount
  * Update LIDAR mount with reasonable inertia
  * URDF hardware interface changes for new gazebo ros control style (#185)
  * Add second spinning hokuyo variant
  * Fix origin block not getting used correctly
  * Add gazebo_ros_control required tags to spinning lidar macros
  * Formatting
  * Add spinning lidar mount and hokuyo example
  * Contributors: Marius Schnaubelt, Stefan Kohlbrecher

 -- Stefan Kohlbrecher <kohlbrecher@sim.tu-darmstadt.de>  Fri, 06 Nov 2015 23:00:00 -0000

ros-melodic-hector-components-description (0.3.2-0stretch) stretch; urgency=high

  * increased maximum torque for camera servos in vision_box_common.gazebo.xacro
  * adapted urdf for asus xtion and added camera variables
  * Add simple ps eye geometry
  * Contributors: Johannes Meyer, Stefan Kohlbrecher

 -- Stefan Kohlbrecher <kohlbrecher@sim.tu-darmstadt.de>  Sun, 31 Aug 2014 22:00:00 -0000

ros-melodic-hector-components-description (0.3.1-0stretch) stretch; urgency=high

  * Re-parent LIDAR and camera mount to top_box_link
  * Add xacro macros for setting dimensions
  * Remove obsolete files
  * Add UTM-30LX macro to vision box xacro
  * Add hector ugv vision box to hector_components_description package for better reusability
  * Contributors: Stefan Kohlbrecher

 -- Stefan Kohlbrecher <kohlbrecher@sim.tu-darmstadt.de>  Sat, 29 Mar 2014 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-hector-components-description
Section: misc
Priority: extra
Maintainer: Stefan Kohlbrecher <kohlbrecher@sim.tu-darmstadt.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://ros.org/wiki/hector_components_description
Standards-Version: 3.9.2

Package: ros-melodic-hector-components-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-hector-sensors-description, ros-melodic-hector-xacro-tools, ros-melodic-xacro
Description: hector_components_description contains URDF xacro macros for robot components, so they are easily attachable to robot models.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-hector-components-description//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
